> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usetokenless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Models

> Lists Tokenless routing profiles in the compatible OpenAI model-list
shape. For the upstream model API, see the [OpenAI API reference](https://developers.openai.com/api/reference/overview).


<div className="endpoint-signature"><span className="endpoint-method endpoint-method-get">GET</span><code>/openai/v1/models</code></div>

For the upstream model API, see the [OpenAI API reference](https://developers.openai.com/api/reference/overview).


## OpenAPI

````yaml /openapi/compatibility.yaml get /openai/v1/models
openapi: 3.1.0
info:
  title: Tokenless Compatibility and BYOK API
  version: 1.0.0
  description: |
    OpenAI- and Anthropic-compatible routing endpoints, plus interactive-session
    management for bring-your-own provider keys.
servers:
  - url: https://api.usetokenless.com
security:
  - tokenlessBearer: []
paths:
  /openai/v1/models:
    get:
      tags:
        - OpenAI
      summary: Models
      description: >
        Lists Tokenless routing profiles in the compatible OpenAI model-list

        shape. For the upstream model API, see the [OpenAI API
        reference](https://developers.openai.com/api/reference/overview).
      operationId: listOpenAIModels
      responses:
        '200':
          description: OpenAI-compatible list of available routing profiles.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAIModelList'
        '401':
          $ref: '#/components/responses/OpenAIError'
components:
  schemas:
    OpenAIModelList:
      type: object
      required:
        - object
        - data
      properties:
        object:
          type: string
          const: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/OpenAIModel'
    OpenAIModel:
      type: object
      required:
        - id
        - object
        - created
        - owned_by
      properties:
        id:
          $ref: '#/components/schemas/RoutingProfile'
        object:
          type: string
          const: model
        created:
          type: integer
          const: 0
        owned_by:
          type: string
          const: tokenless
    OpenAIError:
      type: object
      properties:
        error:
          type: object
          additionalProperties: true
    RoutingProfile:
      type: string
      enum:
        - tokenless-pro
        - tokenless-max
        - tokenless-ultra-saver
  responses:
    OpenAIError:
      description: OpenAI-compatible error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/OpenAIError'
  securitySchemes:
    tokenlessBearer:
      type: http
      scheme: bearer
      bearerFormat: Tokenless API key

````